package com.ruoyi.common.pay.yst.constants;

/**
 * 云商通接口代码
 * @author wjh
 * 2024/8/1
 */
public class YstTransCode {

    // 企业会员实名开户
    public static final String ENTERPRISE_MEMBER_REAL_NAME = "1020";

    // 会员资料补录
    public static final String MEMBER_INFO_SUPPLEMENT = "1022";

    // 个人会员实名及绑卡（申请）
    public static final String INDIVIDUAL_MEMBER_REAL_NAME_AND_BIND_CARD_APPLY = "1010";

    // 个人会员实名及绑卡（确认）
    public static final String INDIVIDUAL_MEMBER_REAL_NAME_AND_BIND_CARD_CONFIRM = "1011";

    // 会员绑定手机号申请
    public static final String MEMBER_BIND_MOBILE_APPLY = "1030";

    // 会员解绑手机号（原手机号）申请
    public static final String MEMBER_UNBIND_MOBILE_APPLY = "1031";

    // 确认绑定/解绑手机号
    public static final String CONFIRM_BIND_UNBIND_MOBILE = "1032";

    // 会员线上协议签约申请
    public static final String MEMBER_ONLINE_AGREEMENT_SIGN_APPLY = "1050";

    // 线下协议文件上传
    public static final String OFFLINE_AGREEMENT_FILE_UPLOAD = "1051";

    // 会员协议签约结果通知
    public static final String MEMBER_AGREEMENT_SIGN_RESULT_NOTIFY = "1052";

    // 企业会员支付账户开户
    public static final String ENTERPRISE_MEMBER_PAYMENT_ACCOUNT_OPEN = "1025";

    // 查询会员信息
    public static final String QUERY_MEMBER_INFO = "1027";

    // 账户余额查询
    public static final String ACCOUNT_BALANCE_QUERY = "1023";

    // 平台资金查询
    public static final String PLATFORM_FUND_QUERY = "1026";

    // 会员绑定收银宝商户
    public static final String MEMBER_BIND_SHOUYINBAO_MERCHANT = "1024";

    // 终端信息管理
    public static final String TERMINAL_INFO_MANAGEMENT = "4001";

    // 消费申请
    public static final String CONSUMPTION_APPLY = "2085";

    // 担保消费申请
    public static final String GUARANTEE_CONSUMPTION_APPLY = "2089";

    // 单订单担保确认
    public static final String SINGLE_ORDER_GUARANTEE_CONFIRM = "2090";

    // 单会员担保确认
    public static final String SINGLE_MEMBER_GUARANTEE_CONFIRM = "2091";

    // 划款入账通知
    public static final String TRANSFER_INTO_ACCOUNT_NOTIFY = "2080";

    // 转账申请
    public static final String TRANSFER_APPLY = "2084";

    // 提现申请
    public static final String WITHDRAW_APPLY = "2290";

    // 退款申请
    public static final String REFUND_APPLY = "2294";

    // 订单关闭
    public static final String ORDER_CLOSE = "2295";

    // 确认支付（后台+短信）
    public static final String CONFIRM_PAYMENT_BACK_SMS = "3010";

    // 订单状态查询
    public static final String ORDER_STATUS_QUERY = "3001";

    // 订单详情查询
    public static final String ORDER_DETAILS_QUERY = "3002";

    // 电子回单下载
    public static final String ELECTRONIC_RECEIPT_DOWNLOAD = "4003";

    // 应用集合对账文件下载
    public static final String APPLICATION_SET_RECONCILIATION_FILE_DOWNLOAD = "4002";

}
