package com.ruoyi.ss.deviceBindRecord.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备绑定记录对象 sm_device_bind_record
 *
 * @author ruoyi
 * @date 2024-04-17
 */
@Data
public class DeviceBindRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录id */
    private Long recordId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long deviceId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    @Excel(name = "类型：1-绑定，2-解绑")
    @ApiModelProperty("类型：1-绑定，2-解绑")
    private String type;

    @Excel(name = "用户类型：1-商户，2-代理商")
    @ApiModelProperty("用户类型：1-商户，2-代理商")
    private String userType;

}
