package com.ruoyi.ss.user.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @author wjh
 * 2024/9/25
 */
@Data
public class UserUpdatePasswordDTO {

    @ApiModelProperty("旧密码")
    private String oldPassword;

    @ApiModelProperty("新密码")
    @NotBlank(message = "新密码不能为空")
    @Size(min = 6, max = 32, message = "新密码长度应该在6~32个字符之间")
    private String newPassword;

}
