package com.ruoyi.ss.riskInfo.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author wjh
 * 2024/11/26
 */
@Data
public class RiskInfoVerifyDTO {

    @ApiModelProperty("是否通过")
    @NotNull(message = "是否通过不允许为空")
    private Boolean pass;

    @ApiModelProperty("材料ID")
    @NotNull(message = "风控材料ID不允许为空")
    private Long infoId;

    @ApiModelProperty("审核意见")
    private String verifyRemark;

}
