package com.ruoyi.ss.transactionBill.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 支付押金DTO
 * @author wjh
 * 2024/8/14
 */
@Data
public class PayDepositDTO {

    @ApiModelProperty("订单编号")
    @NotBlank(message = "订单编号不允许为空")
    private String billNo;

    @ApiModelProperty("渠道ID")
    @NotNull(message = "渠道ID不允许为空")
    private Long channelId;

}
